summaryrefslogtreecommitdiff
path: root/package/pmacct
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-12-30 22:57:30 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-12-30 22:57:30 +0100
commit0a96e4538fe6552dd75aa939b249030f4cdfd77f (patch)
tree8c998c4ab78ea4b60d433847a9632466b9a814a4 /package/pmacct
parent845317b460ee99ad633534cad4de72404af7e30b (diff)
fix startup scripts, fix stop routine
Diffstat (limited to 'package/pmacct')
-rw-r--r--package/pmacct/files/nfacctd.init34
-rw-r--r--package/pmacct/files/pmacctd.init34
2 files changed, 34 insertions, 34 deletions
diff --git a/package/pmacct/files/nfacctd.init b/package/pmacct/files/nfacctd.init
index 911184d21..d46668780 100644
--- a/package/pmacct/files/nfacctd.init
+++ b/package/pmacct/files/nfacctd.init
@@ -6,22 +6,22 @@
case $1 in
autostop) ;;
- autostart)
- test x"${nfacctd:-NO}" = x"NO" && exit 0
- exec sh $0 start
- ;;
- start)
- nfacctd $nfaccd_flags
- ;;
- stop)
- pkill nfacctd
- ;;
- restart)
- sh $0 stop
- sh $0 start
- ;;
- *)
- echo "usage: $0 {start | stop | restart}"
- exit 1
+autostart)
+ test x"${nfacctd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/nfacctd $nfaccd_flags
+ ;;
+stop)
+ kill $(pgrep -f /usr/sbin/nfacctd)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
esac
exit $?
diff --git a/package/pmacct/files/pmacctd.init b/package/pmacct/files/pmacctd.init
index 5a44474c0..3b9ec5ac5 100644
--- a/package/pmacct/files/pmacctd.init
+++ b/package/pmacct/files/pmacctd.init
@@ -6,22 +6,22 @@
case $1 in
autostop) ;;
- autostart)
- test x"${pmacctd:-NO}" = x"NO" && exit 0
- exec sh $0 start
- ;;
- start)
- pmacctd $pmacctd_flags
- ;;
- stop)
- pkill pmacctd
- ;;
- restart)
- sh $0 stop
- sh $0 start
- ;;
- *)
- echo "usage: $0 {start | stop | restart}"
- exit 1
+autostart)
+ test x"${pmacctd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/pmacctd $pmacctd_flags
+ ;;
+stop)
+ kill $(pgrep -f /usr/sbin/pmacctd)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
esac
exit $?